org.apache.hadoop.util.bloom

## Interface RemoveScheme

- All Known Implementing Classes:
    RetouchedBloomFilter

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public interface RemoveScheme

  Defines the different remove scheme for retouched Bloom filters.

  Originally created by European Commission One-Lab Project 034819.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `MAXIMUM_FP` MaximumFP Selection.
    `static short` | `MINIMUM_FN` MinimumFN Selection.
    `static short` | `RANDOM` Random selection.
    `static short` | `RATIO` Ratio Selection.

- - ### Field Detail

    - #### RANDOM

          static final short RANDOM

      Random selection.

      The idea is to randomly select a bit to reset.

      See Also:
        Constant Field Values

    - #### MINIMUM_FN

          static final short MINIMUM_FN

      MinimumFN Selection.

      The idea is to select the bit to reset that will generate the minimum number of false negative.

      See Also:
        Constant Field Values

    - #### MAXIMUM_FP

          static final short MAXIMUM_FP

      MaximumFP Selection.

      The idea is to select the bit to reset that will remove the maximum number of false positive.

      See Also:
        Constant Field Values

    - #### RATIO

          static final short RATIO

      Ratio Selection.

      The idea is to select the bit to reset that will, at the same time, remove the maximum number of false positve while minimizing the amount of false negative generated.

      See Also:
        Constant Field Values

Copyright © 2022 Apache Software Foundation. All rights reserved.